html,body {
    margin: 0;
}

body{
    height: 100vh;
    width: 100vw;
    display: grid;
    grid-template-rows: 10% 5% 75% 10%;
    grid-template-columns: 100%;
    text-align: center;
    color: white;
}

header{
    background-color: purple;
    grid-row: 1;
}

nav{
    background-color: blue;
    grid-row: 2;
}

main{
    background-color: violet;
    grid-row: 3;
    padding: 5px;
    padding-bottom: 7px;
}

footer{
    background-color: grey;
    grid-row: 4;
}

#boxes{
    height: 95%;
    padding: 0.5%;
    background-color: white;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 0.5%;
}

#boxes div {
    display: inherit;
    grid-template: inherit;
    gap: inherit;
}

.box1 div{
    background-color: red;
}

.box2 div{
    background-color: yellow;
}

.box3 div{
    background-color: green;
}

.box4 div{
    background-color: brown;
}